﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.0</TargetFramework>
    <AssemblyName>ITUtil.Common.ServiceWrapper</AssemblyName>
    <RootNamespace>ITUtil.Common.ServiceWrapper</RootNamespace>
    <ApplicationIcon />
    <OutputType>Exe</OutputType>
    <StartupObject />
    <PackageId>ITUtil.Common.MicroserviceBootstrapper</PackageId>
    <Authors>Jimmy Borch</Authors>
    <Company>Monosoft Holding ApS</Company>
    <Product>ITUtil.Common.MicroserviceBootstrapper</Product>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <CodeAnalysisRuleSet></CodeAnalysisRuleSet>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <CodeAnalysisRuleSet></CodeAnalysisRuleSet>
    <DebugType>full</DebugType>
    <DebugSymbols>true</DebugSymbols>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.OpenApi" Version="1.1.4" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.2" />
    <PackageReference Include="RabbitMQ.Client" Version="5.1.0" />
    <PackageReference Include="TypeLite" Version="1.8.4" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="ITUtil.Common.Base">
      <HintPath>..\..\precompile\debug\netcoreapp3.0\ITUtil.Common.Base.dll</HintPath>
    </Reference>
    <Reference Include="ITUtil.Common.Command">
      <HintPath>..\..\precompile\debug\netcoreapp3.0\ITUtil.Common.Command.dll</HintPath>
    </Reference>
    <Reference Include="ITUtil.Common.Config">
      <HintPath>..\..\precompile\debug\netcoreapp3.0\ITUtil.Common.Config.dll</HintPath>
    </Reference>
    <Reference Include="ITUtil.Common.RabbitMQ">
      <HintPath>..\..\precompile\debug\netcoreapp3.0\ITUtil.Common.RabbitMQ.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
